﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace sparse_matrix
{
    class listnode
    {
        private term data;
        private listnode next;
        private listnode back;
        public listnode(term datavalue)
            : this(datavalue, null, null)
        {
        }
        public listnode(listnode nextNode, listnode backnode)
        {
            next = nextNode;
            back = backnode;
        }

        public listnode(term datavalue, listnode nextNode, listnode backnode)
        {
            data = datavalue;
            next = nextNode;
            back = backnode;
        }
        public listnode Back
        {
            get
            {
                return back;
            }
            set
            {
                back = value;
            }
        }
        public listnode Next
        {
            get
            {
                return next;
            }
            set
            {
                next = value;
            }
        }
        public term Data
        {
            get
            {
                return data;
            }
        }
    }
}
